Skip to main content
PUT
/
api
/
users
/
v1
/
user
/
{userId}
/
tokenCredentials
/
{credentialId}
Update git credential accessor for a User
curl --request PUT \
  --url https://api.example.com/api/users/v1/user/{userId}/tokenCredentials/{credentialId} \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "domain": "github.com",
  "name": "My creds",
  "token": "<string>"
}
'
{
  "credential": {
    "domain": "github.com",
    "fingerprint": "ba:78:09:d8:4b:3b:09:9b:43:bf:9b:5a:34:f7:3f:28",
    "id": "<string>",
    "name": "My creds",
    "protocol": "https"
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

userId
string
required

Id of the User to update credentials for

credentialId
string
required

Id of the credential to update

Body

application/json

The new credential

domain
string
required

The domain for this git credential

Example:

"github.com"

gitServiceProvider
enum<string>
required

Git service provider

Available options:
bitbucket,
bitbucketServer,
github,
githubEnterprise,
gitLab,
gitLabEnterprise,
unknown
name
string
required

Name for this git credential

Example:

"My creds"

token
string
required

The token value

Response

Success

credential
object
required
metadata
object
required